--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/expedition/card.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/expedition/card.php	2025-06-27 11:43:46.888812000 +0000
@@ -213,7 +213,7 @@
 			setEventMessages($object->error, $object->errors, 'errors');
 		}
 
-		$result = $object->setValueFrom('ref_customer', GETPOST('ref_customer', 'alpha'), '', null, 'text', '', $user, 'SHIPPING_MODIFY');
+		$result = $object->setValueFrom('ref_customer', GETPOST('ref_customer', 'alpha'), '', null, 'text', '', $user, 'SHIPMENT_MODIFY');
 		if ($result < 0) {
 			setEventMessages($object->error, $object->errors, 'errors');
 			$action = 'editref_customer';
@@ -236,7 +236,7 @@
 
 		if (!$error) {
 			// Actions on extra fields
-			$result = $object->updateExtraField($attribute_name, 'SHIPPING_MODIFY');
+			$result = $object->updateExtraField($attribute_name, 'SHIPMENT_MODIFY');
 			if ($result < 0) {
 				setEventMessages($object->error, $object->errors, 'errors');
 				$error++;

########## expedition/class/api_shipments.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/expedition/class/api_shipments.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/expedition/class/api_shipments.class.php	2025-06-27 11:43:46.899487000 +0000
@@ -112,7 +112,7 @@
 		$obj_ret = array();
 
 		// case of external user, $thirdparty_ids param is ignored and replaced by user's socid
-		$socids = DolibarrApiAccess::$user->socid ?: $thirdparty_ids;
+		$socids = DolibarrApiAccess::$user->socid ? DolibarrApiAccess::$user->socid : $thirdparty_ids;
 
 		// If the internal user must only see his customers, force searching by him
 		$search_sale = 0;

########## expedition/list.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/expedition/list.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/expedition/list.php	2025-06-27 11:43:46.905939000 +0000
@@ -1688,7 +1688,7 @@
 		// Note public
 		if (!empty($arrayfields['e.note_public']['checked'])) {
 			print '<td class="sensiblehtmlcontent center">';
-			print '<div class="small lineheightsmall twolinesmax-normallineheight">'.dolPrintHTML(dolGetFirstLineOfText($obj->note_public, 5)).'</div>';
+			print dolPrintHTML($obj->note_public);
 			print '</td>';
 			if (!$i) {
 				$totalarray['nbfield']++;
@@ -1697,7 +1697,7 @@
 		// Note private
 		if (!empty($arrayfields['e.note_private']['checked'])) {
 			print '<td class="sensiblehtmlcontent center">';
-			print '<div class="small lineheightsmall twolinesmax-normallineheight">'.dolPrintHTML(dolGetFirstLineOfText($obj->note_private, 5)).'</div>';
+			print dolPrintHTML($obj->note_private);
 			print '</td>';
 			if (!$i) {
 				$totalarray['nbfield']++;

########## expedition/shipment.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/expedition/shipment.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/expedition/shipment.php	2025-06-27 11:43:46.909818000 +0000
@@ -209,7 +209,7 @@
 		}
 
 		if (!$error) {
-			$result = $object->updateExtraField($attribute_name, 'SHIPPING_MODIFY');
+			$result = $object->updateExtraField($attribute_name, 'SHIPMENT_MODIFY');
 			if ($result < 0) {
 				setEventMessages($object->error, $object->errors, 'errors');
 				$error++;

########## expensereport/card.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/expensereport/card.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/expensereport/card.php	2025-06-27 11:43:47.069795000 +0000
@@ -174,7 +174,6 @@
 /*
  * Actions
  */
-
 $error = 0;
 
 $value_unit_ht = price2num(GETPOST('value_unit_ht', 'alpha'), 'MU');
@@ -411,9 +410,9 @@
 					$newlang = GETPOST('lang_id', 'aZ09');
 				}
 				if (getDolGlobalInt('MAIN_MULTILANGS') && empty($newlang)) {
-					$tmpuser = new User($db);
-					$tmpuser->fetch($object->fk_user_author);
-					$newlang = $tmpuser->lang;
+					$user = new User($db);
+					$user->fetch($object->fk_user_author);
+					$newlang = $user->lang;
 				}
 				if (!empty($newlang)) {
 					$outputlangs = new Translate("", $conf);
@@ -530,9 +529,9 @@
 					$newlang = GETPOST('lang_id', 'aZ09');
 				}
 				if (getDolGlobalInt('MAIN_MULTILANGS') && empty($newlang)) {
-					$tmpuser = new User($db);
-					$tmpuser->fetch($object->fk_user_author);
-					$newlang = $tmpuser->lang;
+					$user = new User($db);
+					$user->fetch($object->fk_user_author);
+					$newlang = $user->lang;
 				}
 				if (!empty($newlang)) {
 					$outputlangs = new Translate("", $conf);
@@ -644,9 +643,9 @@
 					$newlang = GETPOST('lang_id', 'aZ09');
 				}
 				if (getDolGlobalInt('MAIN_MULTILANGS') && empty($newlang)) {
-					$tmpuser = new User($db);
-					$tmpuser->fetch($object->fk_user_author);
-					$newlang = $tmpuser->lang;
+					$user = new User($db);
+					$user->fetch($object->fk_user_author);
+					$newlang = $user->lang;
 				}
 				if (!empty($newlang)) {
 					$outputlangs = new Translate("", $conf);
@@ -762,9 +761,9 @@
 					$newlang = GETPOST('lang_id', 'aZ09');
 				}
 				if (getDolGlobalInt('MAIN_MULTILANGS') && empty($newlang)) {
-					$tmpuser = new User($db);
-					$tmpuser->fetch($object->fk_user_author);
-					$newlang = $tmpuser->lang;
+					$user = new User($db);
+					$user->fetch($object->fk_user_author);
+					$newlang = $user->lang;
 				}
 				if (!empty($newlang)) {
 					$outputlangs = new Translate("", $conf);
@@ -880,9 +879,9 @@
 							$newlang = GETPOST('lang_id', 'aZ09');
 						}
 						if (getDolGlobalInt('MAIN_MULTILANGS') && empty($newlang)) {
-							$tmpuser = new User($db);
-							$tmpuser->fetch($object->fk_user_author);
-							$newlang = $tmpuser->lang;
+							$user = new User($db);
+							$user->fetch($object->fk_user_author);
+							$newlang = $user->lang;
 						}
 						if (!empty($newlang)) {
 							$outputlangs = new Translate("", $conf);
@@ -996,9 +995,9 @@
 						$newlang = GETPOST('lang_id', 'aZ09');
 					}
 					if (getDolGlobalInt('MAIN_MULTILANGS') && empty($newlang)) {
-						$tmpuser = new User($db);
-						$tmpuser->fetch($object->fk_user_author);
-						$newlang = $tmpuser->lang;
+						$user = new User($db);
+						$user->fetch($object->fk_user_author);
+						$newlang = $user->lang;
 					}
 					if (!empty($newlang)) {
 						$outputlangs = new Translate("", $conf);
@@ -1037,9 +1036,9 @@
 					$newlang = GETPOST('lang_id', 'aZ09');
 				}
 				if (getDolGlobalInt('MAIN_MULTILANGS') && empty($newlang)) {
-					$tmpuser = new User($db);
-					$tmpuser->fetch($object->fk_user_author);
-					$newlang = $tmpuser->lang;
+					$user = new User($db);
+					$user->fetch($object->fk_user_author);
+					$newlang = $user->lang;
 				}
 				if (!empty($newlang)) {
 					$outputlangs = new Translate("", $conf);
@@ -1050,13 +1049,9 @@
 
 				$object->generateDocument($model, $outputlangs, $hidedetails, $hidedesc, $hideref);
 			}
-
-			header("Location: ".$_SERVER["PHP_SELF"]."?id=".$id);
-			exit;
 		}
 	}
 
-
 	if ($action == 'set_paid' && $id > 0 && $user->hasRight('expensereport', 'to_paid')) {
 		$object = new ExpenseReport($db);
 		$object->fetch($id);
@@ -1072,9 +1067,9 @@
 					$newlang = GETPOST('lang_id', 'aZ09');
 				}
 				if (getDolGlobalInt('MAIN_MULTILANGS') && empty($newlang)) {
-					$tmpuser = new User($db);
-					$tmpuser->fetch($object->fk_user_author);
-					$newlang = $tmpuser->lang;
+					$user = new User($db);
+					$user->fetch($object->fk_user_author);
+					$newlang = $user->lang;
 				}
 				if (!empty($newlang)) {
 					$outputlangs = new Translate("", $conf);
@@ -1088,78 +1083,74 @@
 		}
 
 		if ($result > 0) {
-			// TODO We must never send an email without a setup or confirm option to choose if email is
-			// sent or not. So we add a hidden constant to avoid this for the moment.
-			if (getDolGlobalString('EXPENSEREPORT_SEND_EMAIL_ON_STATUS_PAID')) {
-				// Send mail
-
-				// TO
-				$destinataire = new User($db);
-				$destinataire->fetch($object->fk_user_author);
-				$emailTo = $destinataire->email;
-
-				// FROM
-				$expediteur = new User($db);
-				$expediteur->fetch($user->id);
-				$emailFrom = getDolGlobalString('MAIN_MAIL_EMAIL_FROM');
-
-				if ($emailFrom && $emailTo) {
-					$filename = array();
-					$filedir = array();
-					$mimetype = array();
-
-					// SUBJECT
-					$societeName = getDolGlobalString('MAIN_INFO_SOCIETE_NOM');
-					if (getDolGlobalString('MAIN_APPLICATION_TITLE')) {
-						$societeName = getDolGlobalString('MAIN_APPLICATION_TITLE');
-					}
-
-					$subject = $societeName." - ".$langs->transnoentities("ExpenseReportPaid");
-
-					// CONTENT
-					$link = $urlwithroot.'/expensereport/card.php?id='.$object->id;
-					$link = '<a href="'.$link.'">'.$link.'</a>';
-					$message = $langs->transnoentities("ExpenseReportPaidMessage", $object->ref, $destinataire->getFullName($langs), $expediteur->getFullName($langs), $link);
-
-					// Generate pdf before attachment
-					$object->setDocModel($user, "");
-					$resultPDF = expensereport_pdf_create($db, $object, '', "", $langs);
-
-					// PREPARE SEND
-					$mailfile = new CMailFile($subject, $emailTo, $emailFrom, $message, $filedir, $mimetype, $filename, '', '', 0, -1);
-
-					if (empty($mailfile->error)) {
-						// SEND
-						$result = $mailfile->sendfile();
-						if ($result) {
-							$mesg = $langs->trans('MailSuccessfulySent', $mailfile->getValidAddress($emailFrom, 2), $mailfile->getValidAddress($emailTo, 2));
-							setEventMessages($mesg, null, 'mesgs');
+			// Send mail
+
+			// TO
+			$destinataire = new User($db);
+			$destinataire->fetch($object->fk_user_author);
+			$emailTo = $destinataire->email;
+
+			// FROM
+			$expediteur = new User($db);
+			$expediteur->fetch($user->id);
+			$emailFrom = getDolGlobalString('MAIN_MAIL_EMAIL_FROM');
+
+			if ($emailFrom && $emailTo) {
+				$filename = array();
+				$filedir = array();
+				$mimetype = array();
+
+				// SUBJECT
+				$societeName = getDolGlobalString('MAIN_INFO_SOCIETE_NOM');
+				if (getDolGlobalString('MAIN_APPLICATION_TITLE')) {
+					$societeName = getDolGlobalString('MAIN_APPLICATION_TITLE');
+				}
+
+				$subject = $societeName." - ".$langs->transnoentities("ExpenseReportPaid");
 
-							header("Location: ".$_SERVER["PHP_SELF"]."?id=".$id);
-							exit;
+				// CONTENT
+				$link = $urlwithroot.'/expensereport/card.php?id='.$object->id;
+				$link = '<a href="'.$link.'">'.$link.'</a>';
+				$message = $langs->transnoentities("ExpenseReportPaidMessage", $object->ref, $destinataire->getFullName($langs), $expediteur->getFullName($langs), $link);
+
+				// Generate pdf before attachment
+				$object->setDocModel($user, "");
+				$resultPDF = expensereport_pdf_create($db, $object, '', "", $langs);
+
+				// PREPARE SEND
+				$mailfile = new CMailFile($subject, $emailTo, $emailFrom, $message, $filedir, $mimetype, $filename, '', '', 0, -1);
+
+				if (empty($mailfile->error)) {
+					// SEND
+					$result = $mailfile->sendfile();
+					if ($result) {
+						$mesg = $langs->trans('MailSuccessfulySent', $mailfile->getValidAddress($emailFrom, 2), $mailfile->getValidAddress($emailTo, 2));
+						setEventMessages($mesg, null, 'mesgs');
+						header("Location: ".$_SERVER["PHP_SELF"]."?id=".$id);
+						exit;
+					} else {
+						$langs->load("other");
+						if ($mailfile->error) {
+							$mesg = '';
+							$mesg .= $langs->trans('ErrorFailedToSendMail', $emailFrom, $emailTo);
+							$mesg .= '<br>'.$mailfile->error;
+							setEventMessages($mesg, null, 'errors');
 						} else {
-							$langs->load("other");
-							if ($mailfile->error) {
-								$mesg = '';
-								$mesg .= $langs->trans('ErrorFailedToSendMail', $emailFrom, $emailTo);
-								$mesg .= '<br>'.$mailfile->error;
-								setEventMessages($mesg, null, 'errors');
-							} else {
-								setEventMessages('No mail sent. Feature is disabled by option MAIN_DISABLE_ALL_MAILS', null, 'warnings');
-							}
+							setEventMessages('No mail sent. Feature is disabled by option MAIN_DISABLE_ALL_MAILS', null, 'warnings');
 						}
-					} else {
-						setEventMessages($mailfile->error, $mailfile->errors, 'errors');
 					}
 				} else {
-					setEventMessages($langs->trans("NoEmailSentBadSenderOrRecipientEmail"), null, 'warnings');
+					setEventMessages($mailfile->error, $mailfile->errors, 'errors');
+					$action = '';
 				}
+			} else {
+				setEventMessages($langs->trans("NoEmailSentBadSenderOrRecipientEmail"), null, 'warnings');
+				$action = '';
 			}
 		} else {
 			setEventMessages($langs->trans("FailedToSetPaid"), null, 'warnings');
+			$action = '';
 		}
-
-		$action = '';
 	}
 
 	if ($action == "addline" && $user->hasRight('expensereport', 'creer')) {
@@ -1254,9 +1245,12 @@
 					$outputlangs = $langs;
 					$newlang = GETPOST('lang_id', 'alpha');
 					if (getDolGlobalInt('MAIN_MULTILANGS') && empty($newlang)) {
-						$tmpuser = new User($db);
-						$tmpuser->fetch($object->fk_user_author);
-						$newlang = $tmpuser->lang;
+						$user = new User($db);
+						$user->fetch($object->fk_user_author);
+						$newlang = $user->lang;
+					}
+					if (empty($newlang)) {
+						$newlang = $langs;
 					}
 					if (!empty($newlang)) {
 						$outputlangs = new Translate("", $conf);
@@ -1309,9 +1303,9 @@
 						$newlang = GETPOST('lang_id', 'aZ09');
 					}
 					if (getDolGlobalInt('MAIN_MULTILANGS') && empty($newlang)) {
-						$tmpuser = new User($db);
-						$tmpuser->fetch($object->fk_user_author);
-						$newlang = $tmpuser->lang;
+						$user = new User($db);
+						$user->fetch($object->fk_user_author);
+						$newlang = $user->lang;
 					}
 					if (!empty($newlang)) {
 						$outputlangs = new Translate("", $conf);
@@ -1408,9 +1402,9 @@
 							$newlang = GETPOST('lang_id', 'aZ09');
 						}
 						if (getDolGlobalInt('MAIN_MULTILANGS') && empty($newlang)) {
-							$tmpuser = new User($db);
-							$tmpuser->fetch($object->fk_user_author);
-							$newlang = $tmpuser->lang;
+							$user = new User($db);
+							$user->fetch($object->fk_user_author);
+							$newlang = $user->lang;
 						}
 						if (!empty($newlang)) {
 							$outputlangs = new Translate("", $conf);
@@ -1432,7 +1426,8 @@
 					unset($date);
 				}
 
-				$action = '';
+				//header("Location: ".$_SERVER["PHP_SELF"]."?id=".$id);
+				//exit;
 			} else {
 				setEventMessages($object->error, $object->errors, 'errors');
 			}
@@ -1608,7 +1603,6 @@
 
 				// End of page
 				llxFooter();
-
 				$db->close();
 
 				exit;
@@ -1617,7 +1611,7 @@
 
 		$head = expensereport_prepare_head($object);
 
-		if ($action == 'edit' && ($object->status <= ExpenseReport::STATUS_VALIDATED || $object->status == ExpenseReport::STATUS_REFUSED)) {
+		if ($action == 'edit' && ($object->status < 3 || $object->status == ExpenseReport::STATUS_REFUSED)) {
 			print "<form name='update' action=\"".$_SERVER['PHP_SELF']."\" method=\"post\">\n";
 			print '<input type="hidden" name="token" value="'.newToken().'">';
 			print '<input type="hidden" name="id" value="'.$id.'">';
@@ -2073,16 +2067,13 @@
 				$remaintopay = price2num($object->total_ttc - (float) $totalpaid);
 				$resteapayeraffiche = $remaintopay;
 
-				if ($remaintopay > 0) {
-					$cssforamountpaymentcomplete = 'amountremaintopay';
-				} else {
-					$cssforamountpaymentcomplete = 'amountpaymentcomplete';
-				}
+				$cssforamountpaymentcomplete = 'amountpaymentcomplete';
 
 				if ($object->status == ExpenseReport::STATUS_REFUSED) {
-					$cssforamountpaymentcomplete = 'amountpaymentneutral strikefordisabled';
-				} elseif ($object->paid == 1 && $remaintopay > 0) {
-					$cssforamountpaymentcomplete = 'amountpaymentneutral strikefordisabled';
+					$cssforamountpaymentcomplete = 'amountpaymentneutral';
+					$resteapayeraffiche = 0;
+				} elseif ($object->paid == 0) {
+					$cssforamountpaymentcomplete = 'amountpaymentneutral';
 				}
 				print '<tr><td colspan="'.$nbcols.'" class="right">'.$langs->trans("AlreadyPaid").':</td><td class="right">'.price($totalpaid).'</td><td></td></tr>';
 				print '<tr><td colspan="'.$nbcols.'" class="right">'.$langs->trans("AmountExpected").':</td><td class="right">'.price($object->total_ttc).'</td><td></td></tr>';
@@ -2445,8 +2436,8 @@
 
 						// Select project
 						if (isModEnabled('project')) {
-							print '<td class="nowraponall">';
-							print $formproject->select_projects(-1, (string) $line->fk_project, 'fk_project', 0, 0, $projectRequired ? 0 : 1, 1, 0, 0, 0, '', 1, 0, 'maxwidth300');
+							print '<td>';
+							$formproject->select_projects(-1, (string) $line->fk_project, 'fk_project', 0, 0, $projectRequired ? 0 : 1, 1, 0, 0, 0, '', 0, 0, 'maxwidth300');
 							print '</td>';
 						}
 
@@ -2812,11 +2803,11 @@
 		}
 	}
 
-	/* If status is "Draft"
+	/* Si l'état est "Brouillon"
 	 *	ET user à droit "creer/supprimer"
-	 *	ET fk_user_author == user courant
-	 * 	Afficher : "Enregistrer" / "Modifier" / "Supprimer"
-	 */
+	*	ET fk_user_author == user courant
+	* 	Afficher : "Enregistrer" / "Modifier" / "Supprimer"
+	*/
 	if ($user->hasRight('expensereport', 'creer') && $object->status == ExpenseReport::STATUS_DRAFT) {
 		if (in_array($object->fk_user_author, $childids) || $user->hasRight('expensereport', 'writeall_advance')) {
 			// Modify
@@ -2829,7 +2820,7 @@
 		}
 	}
 
-	/* If status if "Refused"
+	/* Si l'état est "Refusée"
 	 *	ET user à droit "creer/supprimer"
 	 *	ET fk_user_author == user courant
 	 * 	Afficher : "Enregistrer" / "Modifier" / "Supprimer"
@@ -2911,9 +2902,6 @@
 		print '<div class="inline-block divButAction"><a class="butAction" href="'.$_SERVER["PHP_SELF"].'?action=cancel&token='.newToken().'&id='.$object->id.'">'.$langs->trans("Cancel").'</a></div>';
 	}
 
-	// If status is Closed
-	// ---------------------
-
 	// TODO Replace this. It should be SetUnpaid and should go back to status unpaid not canceled.
 	if (($user->hasRight('expensereport', 'approve') || $user->hasRight('expensereport', 'to_paid')) && $object->status == ExpenseReport::STATUS_CLOSED) {
 		// Cancel

########## expensereport/class/api_expensereports.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/expensereport/class/api_expensereports.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/expensereport/class/api_expensereports.class.php	2025-06-27 11:43:47.076634000 +0000
@@ -131,7 +131,7 @@
 		$obj_ret = array();
 
 		// case of external user, $societe param is ignored and replaced by user's socid
-		//$socid = DolibarrApiAccess::$user->socid ?: $societe;
+		//$socid = DolibarrApiAccess::$user->socid ? DolibarrApiAccess::$user->socid : $societe;
 
 		$sql = "SELECT t.rowid";
 		$sql .= " FROM ".MAIN_DB_PREFIX."expensereport AS t LEFT JOIN ".MAIN_DB_PREFIX."expensereport_extrafields AS ef ON (ef.fk_object = t.rowid)"; // Modification VMR Global Solutions to include extrafields as search parameters in the API GET call, so we will be able to filter on extrafields

########## expensereport/class/expensereport.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/expensereport/class/expensereport.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/expensereport/class/expensereport.class.php	2025-06-27 11:43:47.078648000 +0000
@@ -756,8 +756,8 @@
 				}
 				$this->user_validator_infos = dolGetFirstLastname($user_approver->firstname, $user_approver->lastname);
 
-				$this->fk_statut                = (int) $obj->status; // deprecated
-				$this->status                   = (int) $obj->status;
+				$this->fk_statut                = $obj->status; // deprecated
+				$this->status                   = $obj->status;
 				$this->fk_c_paiement            = $obj->fk_c_paiement;
 				$this->paid                     = $obj->paid;
 
@@ -815,7 +815,7 @@
 		$this->db->begin();
 
 		$sql = "UPDATE ".MAIN_DB_PREFIX."expensereport";
-		$sql .= " SET fk_statut = ".self::STATUS_CLOSED.", paid = 1";
+		$sql .= " SET fk_statut = ".self::STATUS_CLOSED.", paid=1";
 		$sql .= " WHERE rowid = ".((int) $id)." AND fk_statut = ".self::STATUS_APPROVED;
 
 		dol_syslog(get_class($this)."::setPaid", LOG_DEBUG);
@@ -834,10 +834,6 @@
 
 				if (empty($error)) {
 					$this->db->commit();
-
-					$this->status = self::STATUS_CLOSED;
-					$this->paid = 1;
-
 					return 1;
 				} else {
 					$this->db->rollback();

########## expensereport/index.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/expensereport/index.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/expensereport/index.php	2025-06-27 11:43:47.082380000 +0000
@@ -89,7 +89,7 @@
 llxHeader('', $langs->trans("TripsAndExpenses"), $help_url);
 
 
-$label = $somme = array();
+$label = $somme = $nb = array();
 
 $totalnb = $totalsum = 0;
 $sql = "SELECT tf.code, tf.label, count(de.rowid) as nb, sum(de.total_ht) as km";
@@ -102,6 +102,7 @@
 	$childids[] = $user->id;
 	$sql .= " AND d.fk_user_author IN (".$db->sanitize(implode(',', $childids)).")\n";
 }
+
 $sql .= " GROUP BY tf.code, tf.label";
 
 $result = $db->query($sql);
@@ -229,8 +230,8 @@
 	print '<th class="right">'.$langs->trans("AmountTTC").'</th>';
 	print '<th class="right">'.$langs->trans("DateModificationShort").'</th>';
 	print '<th>';
-	print '<a class="badge" title="'.$langs->trans("FullList").'" href="'.DOL_URL_ROOT.'/expensereport/list.php?sortfield=d.tms&sortorder=DESC">';
-	print '...';
+	print '<a href="'.DOL_URL_ROOT.'/expensereport/list.php?sortfield=d.tms&sortorder=DESC">';
+	print img_picto($langs->trans("FullList"), 'expensereport');
 	print '</a>';
 	print '</th>';
 	print '</tr>';

########## exports/class/export.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/exports/class/export.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/exports/class/export.class.php	2025-06-27 11:43:38.903326000 +0000
@@ -426,6 +426,7 @@
 				}
 				break;
 			case 'Duree':
+				break;
 			case 'Numeric':
 				// if there is a signe +
 				if (strpos($ValueField, "+") > 0) {
@@ -648,6 +649,7 @@
 				$szMsg = $langs->trans('ExportDateFilter');
 				break;
 			case 'Duree':
+				break;
 			case 'Numeric':
 				$szMsg = $langs->trans('ExportNumericFilter');
 				break;

########## fichinter/class/api_interventions.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/fichinter/class/api_interventions.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/fichinter/class/api_interventions.class.php	2025-06-27 11:43:40.053134000 +0000
@@ -147,7 +147,7 @@
 		$obj_ret = array();
 
 		// case of external user, $thirdparty_ids param is ignored and replaced by user's socid
-		$socids = DolibarrApiAccess::$user->socid ?: $thirdparty_ids;
+		$socids = DolibarrApiAccess::$user->socid ? DolibarrApiAccess::$user->socid : $thirdparty_ids;
 
 		// If the internal user must only see his customers, force searching by him
 		$search_sale = 0;

########## fichinter/list.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/fichinter/list.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/fichinter/list.php	2025-06-27 11:43:40.062051000 +0000
@@ -996,7 +996,7 @@
 		// Note public
 		if (!empty($arrayfields['f.note_public']['checked'])) {
 			print '<td class="sensiblehtmlcontent center">';
-			print '<div class="small lineheightsmall twolinesmax-normallineheight">'.dolPrintHTML(dolGetFirstLineOfText($obj->note_public, 5)).'</div>';
+			print dolPrintHTML($obj->note_public);
 			print '</td>';
 			if (!$i) {
 				$totalarray['nbfield']++;
@@ -1005,7 +1005,7 @@
 		// Note private
 		if (!empty($arrayfields['f.note_private']['checked'])) {
 			print '<td class="sensiblehtmlcontent center">';
-			print '<div class="small lineheightsmall twolinesmax-normallineheight">'.dolPrintHTML(dolGetFirstLineOfText($obj->note_private, 5)).'</div>';
+			print dolPrintHTML($obj->note_private);
 			print '</td>';
 			if (!$i) {
 				$totalarray['nbfield']++;

########## filefunc.inc.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/filefunc.inc.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/filefunc.inc.php	2025-06-27 11:43:46.916637000 +0000
@@ -1,7 +1,7 @@
 <?php
 /* Copyright (C) 2002-2007 Rodolphe Quiedeville <rodolphe@quiedeville.org>
  * Copyright (C) 2003      Xavier Dutoit        <doli@sydesy.com>
- * Copyright (C) 2004-2025 Laurent Destailleur  <eldy@users.sourceforge.net>
+ * Copyright (C) 2004-2017 Laurent Destailleur  <eldy@users.sourceforge.net>
  * Copyright (C) 2004      Sebastien Di Cintio  <sdicintio@ressource-toi.org>
  * Copyright (C) 2004      Benoit Mortier       <benoit.mortier@opensides.be>
  * Copyright (C) 2005-2011 Regis Houssin        <regis.houssin@inodbox.com>
@@ -9,8 +9,8 @@
  * Copyright (C) 2006 	   Andre Cianfarani     <andre.cianfarani@acdeveloppement.net>
  * Copyright (C) 2010      Juanjo Menent        <jmenent@2byte.es>
  * Copyright (C) 2015      Bahfir Abbes         <bafbes@gmail.com>
- * Copyright (C) 2024-2025 MDW					<mdeweerd@users.noreply.github.com>
- * Copyright (C) 2024      Frédéric France      <frederic.france@free.fr>
+ * Copyright (C) 2024-2025	MDW					<mdeweerd@users.noreply.github.com>
+ * Copyright (C) 2024       Frédéric France         <frederic.france@free.fr>
  *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
@@ -63,7 +63,7 @@
 	define('DOL_APPLICATION_TITLE', 'Dolibarr');
 }
 if (!defined('DOL_VERSION')) {
-	define('DOL_VERSION', '22.0.0'); // a.b.c-alpha, a.b.c-beta, a.b.c-rcX or a.b.c
+	define('DOL_VERSION', '22.0.0-beta'); // a.b.c-alpha, a.b.c-beta, a.b.c-rcX or a.b.c
 }
 
 if (!defined('EURO')) {
@@ -488,11 +488,11 @@
 if ((!empty($dolibarr_main_db_pass) && preg_match('/(dolcrypt|crypted):/i', $dolibarr_main_db_pass)) || !empty($dolibarr_main_db_encrypted_pass)) {
 	if (!empty($dolibarr_main_db_pass) && preg_match('/crypted:/i', $dolibarr_main_db_pass)) {
 		$dolibarr_main_db_pass = preg_replace('/crypted:/i', '', $dolibarr_main_db_pass);
-		$dolibarr_main_db_encrypted_pass = $dolibarr_main_db_pass; // We need to set this so we can use it later to know the password was initially encrypted
 		$dolibarr_main_db_pass = dol_decode($dolibarr_main_db_pass);
-	} elseif (!empty($dolibarr_main_db_pass) && preg_match('/dolcrypt:/i', $dolibarr_main_db_pass)) {
 		$dolibarr_main_db_encrypted_pass = $dolibarr_main_db_pass; // We need to set this so we can use it later to know the password was initially encrypted
+	} elseif (!empty($dolibarr_main_db_pass) && preg_match('/dolcrypt:/i', $dolibarr_main_db_pass)) {
 		$dolibarr_main_db_pass = dolDecrypt($dolibarr_main_db_pass, (empty($dolibarr_main_dolcrypt_key) ? (empty($dolibarr_main_instance_unique_id) ? '' : $dolibarr_main_instance_unique_id) : $dolibarr_main_dolcrypt_key));
+		$dolibarr_main_db_encrypted_pass = $dolibarr_main_db_pass; // We need to set this so we can use it later to know the password was initially encrypted
 	} else {
 		$dolibarr_main_db_pass = dol_decode($dolibarr_main_db_encrypted_pass);
 	}

########## fourn/ajax/getSupplierPrices.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/fourn/ajax/getSupplierPrices.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/fourn/ajax/getSupplierPrices.php	2025-06-27 11:43:41.502671000 +0000
@@ -122,7 +122,7 @@
 			}
 		}
 
-		$prices[] = array("id" => 'pmpprice', "price" => price2num($price, 'MU'), "label" => $langs->trans("PMPValueShort").': '.price($price, 0, $langs, 0, 0, -1, $conf->currency), "title" => $langs->trans("PMPValueShort").': '.price($price, 0, $langs, 0, 0, -1, $conf->currency));  // For price field, we must use price2num(), for label or title, price()
+		$prices[] = array("id" => 'pmpprice', "price" => price2num($price), "label" => $langs->trans("PMPValueShort").': '.price($price, 0, $langs, 0, 0, -1, $conf->currency), "title" => $langs->trans("PMPValueShort").': '.price($price, 0, $langs, 0, 0, -1, $conf->currency));  // For price field, we must use price2num(), for label or title, price()
 	}
 
 	// Add price for costprice (at end)

########## fourn/class/api_supplier_invoices.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/fourn/class/api_supplier_invoices.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/fourn/class/api_supplier_invoices.class.php	2025-06-27 11:43:41.527997000 +0000
@@ -117,7 +117,7 @@
 		$obj_ret = array();
 
 		// case of external user, $thirdparty_ids param is ignored and replaced by user's socid
-		$socids = DolibarrApiAccess::$user->socid ?: $thirdparty_ids;
+		$socids = DolibarrApiAccess::$user->socid ? DolibarrApiAccess::$user->socid : $thirdparty_ids;
 
 		// If the internal user must only see his customers, force searching by him
 		$search_sale = 0;

########## fourn/class/api_supplier_orders.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/fourn/class/api_supplier_orders.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/fourn/class/api_supplier_orders.class.php	2025-06-27 11:43:41.529272000 +0000
@@ -111,7 +111,7 @@
 		$obj_ret = array();
 
 		// case of external user, $thirdparty_ids param is ignored and replaced by user's socid
-		$socids = DolibarrApiAccess::$user->socid ?: $thirdparty_ids;
+		$socids = DolibarrApiAccess::$user->socid ? DolibarrApiAccess::$user->socid : $thirdparty_ids;
 
 		// If the internal user must only see his customers, force searching by him
 		$search_sale = 0;

########## fourn/class/fournisseur.commande.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/fourn/class/fournisseur.commande.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/fourn/class/fournisseur.commande.class.php	2025-06-27 11:43:41.533826000 +0000
@@ -3547,7 +3547,7 @@
 	 */
 	public function generateDocument($modele, $outputlangs, $hidedetails = 0, $hidedesc = 0, $hideref = 0, $moreparams = null)
 	{
-		global $langs;
+		global $conf, $langs;
 
 		if (!dol_strlen($modele)) {
 			$modele = '';	// No doc template/generation by default

########## fourn/commande/list.php
